<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:01 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
AbstractPooledConnAdapter (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractPooledConnAdapter (HttpComponents Client 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractPooledConnAdapter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/AbstractPooledConnAdapter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractPooledConnAdapter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.conn</FONT>
<BR>
Class AbstractPooledConnAdapter</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">org.apache.http.impl.conn.AbstractClientConnAdapter</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.conn.AbstractPooledConnAdapter</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="../../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, <A HREF="../../../../../org/apache/http/conn/HttpRoutedConnection.html" title="interface in org.apache.http.conn">HttpRoutedConnection</A>, <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpConnection.html?is-external=true" title="class or interface in org.apache.http">HttpConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http">HttpInetConnection</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../org/apache/http/impl/conn/tsccm/BasicPooledConnAdapter.html" title="class in org.apache.http.impl.conn.tsccm">BasicPooledConnAdapter</A>, <A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.ConnAdapter.html" title="class in org.apache.http.impl.conn">SingleClientConnManager.ConnAdapter</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.2)  do not use</I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public abstract class <B>AbstractPooledConnAdapter</B><DT>extends <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractClientConnAdapter</A></DL>
</PRE>

<P>
Abstract adapter from pool <A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn"><CODE>entries</CODE></A> to
 <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><CODE>managed</CODE></A>
 client connections.
 The connection in the pool entry is used to initialize the base class.
 In addition, methods to establish a route are delegated to the
 pool entry. <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#shutdown()"><CODE>shutdown</CODE></A> and <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#close()"><CODE>close</CODE></A>
 will clear the tracked route in the pool entry and call the
 respective method of the wrapped connection.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#poolEntry">poolEntry</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The wrapped pool entry.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.protocol.HttpContext"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.http.protocol.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true#RESERVED_PREFIX" title="class or interface in org.apache.http.protocol">RESERVED_PREFIX</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#AbstractPooledConnAdapter(org.apache.http.conn.ClientConnectionManager, org.apache.http.impl.conn.AbstractPoolEntry)">AbstractPooledConnAdapter</A></B>(<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;manager,
                          <A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A>&nbsp;entry)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a new connection adapter.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertAttached()">assertAttached</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1)  use <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertValid(org.apache.http.impl.conn.AbstractPoolEntry)"><CODE>assertValid(AbstractPoolEntry)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertValid(org.apache.http.impl.conn.AbstractPoolEntry)">assertValid</A></B>(<A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A>&nbsp;entry)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Asserts that there is a valid pool entry.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#close()">close</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#detach()">detach</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Detaches this adapter from the wrapped connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#getPoolEntry()">getPoolEntry</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.0.1)</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#getRoute()">getRoute</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Obtains the current route of this connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#getState()">getState</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Returns the state object associated with this connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#layerProtocol(org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)">layerProtocol</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
              <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Layers a new protocol on top of a <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#tunnelTarget(boolean, org.apache.http.params.HttpParams)"><CODE>tunnelled</CODE></A>
 connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#open(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)">open</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Opens this connection according to the given route.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#setState(java.lang.Object)">setState</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Assigns a state object to this connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#shutdown()">shutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#tunnelProxy(org.apache.http.HttpHost, boolean, org.apache.http.params.HttpParams)">tunnelProxy</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;next,
            boolean&nbsp;secure,
            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Indicates that a tunnel to an intermediate proxy has been established.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#tunnelTarget(boolean, org.apache.http.params.HttpParams)">tunnelTarget</A></B>(boolean&nbsp;secure,
             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Indicates that a tunnel to the target has been established.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.conn.AbstractClientConnAdapter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.conn.<A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractClientConnAdapter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#abortConnection()">abortConnection</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#assertNotAborted()">assertNotAborted</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#assertValid(org.apache.http.conn.OperatedClientConnection)">assertValid</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#flush()">flush</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getAttribute(java.lang.String)">getAttribute</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getLocalAddress()">getLocalAddress</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getLocalPort()">getLocalPort</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getManager()">getManager</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getMetrics()">getMetrics</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getRemoteAddress()">getRemoteAddress</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getRemotePort()">getRemotePort</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getSocketTimeout()">getSocketTimeout</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getSSLSession()">getSSLSession</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#getWrappedConnection()">getWrappedConnection</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isMarkedReusable()">isMarkedReusable</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isOpen()">isOpen</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isReleased()">isReleased</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isResponseAvailable(int)">isResponseAvailable</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isSecure()">isSecure</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#isStale()">isStale</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#markReusable()">markReusable</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#receiveResponseEntity(org.apache.http.HttpResponse)">receiveResponseEntity</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#receiveResponseHeader()">receiveResponseHeader</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#releaseConnection()">releaseConnection</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#removeAttribute(java.lang.String)">removeAttribute</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#sendRequestEntity(org.apache.http.HttpEntityEnclosingRequest)">sendRequestEntity</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#sendRequestHeader(org.apache.http.HttpRequest)">sendRequestHeader</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#setAttribute(java.lang.String, java.lang.Object)">setAttribute</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#setIdleDuration(long, java.util.concurrent.TimeUnit)">setIdleDuration</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#setSocketTimeout(int)">setSocketTimeout</A>, <A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#unmarkReusable()">unmarkReusable</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="poolEntry"><!-- --></A><H3>
poolEntry</H3>
<PRE>
protected volatile <A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A> <B>poolEntry</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The wrapped pool entry.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractPooledConnAdapter(org.apache.http.conn.ClientConnectionManager, org.apache.http.impl.conn.AbstractPoolEntry)"><!-- --></A><H3>
AbstractPooledConnAdapter</H3>
<PRE>
protected <B>AbstractPooledConnAdapter</B>(<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;manager,
                                    <A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A>&nbsp;entry)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates a new connection adapter.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>manager</CODE> - the connection manager<DD><CODE>entry</CODE> - the pool entry for the connection being wrapped</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getPoolEntry()"><!-- --></A><H3>
getPoolEntry</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A> <B>getPoolEntry</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.0.1)</I>
<P>
<DD>Obtains the pool entry.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the pool entry, or <code>null</code> if detached</DL>
</DD>
</DL>
<HR>

<A NAME="assertValid(org.apache.http.impl.conn.AbstractPoolEntry)"><!-- --></A><H3>
assertValid</H3>
<PRE>
protected void <B>assertValid</B>(<A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn">AbstractPoolEntry</A>&nbsp;entry)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Asserts that there is a valid pool entry.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/http/impl/conn/ConnectionShutdownException.html" title="class in org.apache.http.impl.conn">ConnectionShutdownException</A></CODE> - if there is no pool entry
                                  or connection has been aborted<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#assertValid(org.apache.http.conn.OperatedClientConnection)"><CODE>AbstractClientConnAdapter.assertValid(OperatedClientConnection)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="assertAttached()"><!-- --></A><H3>
assertAttached</H3>
<PRE>
protected final void <B>assertAttached</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1)  use <A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html#assertValid(org.apache.http.impl.conn.AbstractPoolEntry)"><CODE>assertValid(AbstractPoolEntry)</CODE></A></I>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="detach()"><!-- --></A><H3>
detach</H3>
<PRE>
protected void <B>detach</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Detaches this adapter from the wrapped connection.
 This adapter becomes useless.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html#detach()">detach</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractClientConnAdapter</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRoute()"><!-- --></A><H3>
getRoute</H3>
<PRE>
public <A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A> <B>getRoute</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#getRoute()">ManagedClientConnection</A></CODE></B></DD>
<DD>Obtains the current route of this connection.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the route established so far, or
          <code>null</code> if not connected</DL>
</DD>
</DL>
<HR>

<A NAME="open(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)"><!-- --></A><H3>
open</H3>
<PRE>
public void <B>open</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                 <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
                 <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)
          throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#open(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)">ManagedClientConnection</A></CODE></B></DD>
<DD>Opens this connection according to the given route.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - the route along which to open. It will be opened to
                  the first proxy if present, or directly to the target.<DD><CODE>context</CODE> - the context for opening this connection<DD><CODE>params</CODE> - the parameters for opening this connection
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem</DL>
</DD>
</DL>
<HR>

<A NAME="tunnelTarget(boolean, org.apache.http.params.HttpParams)"><!-- --></A><H3>
tunnelTarget</H3>
<PRE>
public void <B>tunnelTarget</B>(boolean&nbsp;secure,
                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)
                  throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#tunnelTarget(boolean, org.apache.http.params.HttpParams)">ManagedClientConnection</A></CODE></B></DD>
<DD>Indicates that a tunnel to the target has been established.
 The route is the one previously passed to <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#open(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)"><CODE>open</CODE></A>.
 Subsequently, <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#layerProtocol(org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)"><CODE>layerProtocol</CODE></A> can be called
 to layer the TLS/SSL protocol on top of the tunnelled connection.
 <br/>
 <b>Note:</b> In HttpClient 3, a call to the corresponding method
 would automatically trigger the layering of the TLS/SSL protocol.
 This is not the case anymore, you can establish a tunnel without
 layering a new protocol over the connection.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>secure</CODE> - <code>true</code> if the tunnel should be considered
                  secure, <code>false</code> otherwise<DD><CODE>params</CODE> - the parameters for tunnelling this connection
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem</DL>
</DD>
</DL>
<HR>

<A NAME="tunnelProxy(org.apache.http.HttpHost, boolean, org.apache.http.params.HttpParams)"><!-- --></A><H3>
tunnelProxy</H3>
<PRE>
public void <B>tunnelProxy</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;next,
                        boolean&nbsp;secure,
                        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)
                 throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#tunnelProxy(org.apache.http.HttpHost, boolean, org.apache.http.params.HttpParams)">ManagedClientConnection</A></CODE></B></DD>
<DD>Indicates that a tunnel to an intermediate proxy has been established.
 This is used exclusively for so-called <i>proxy chains</i>, where
 a request has to pass through multiple proxies before reaching the
 target. In that case, all proxies but the last need to be tunnelled
 when establishing the connection. Tunnelling of the last proxy to the
 target is optional and would be indicated via <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#tunnelTarget(boolean, org.apache.http.params.HttpParams)"><CODE>ManagedClientConnection.tunnelTarget(boolean, org.apache.http.params.HttpParams)</CODE></A>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>next</CODE> - the proxy to which the tunnel was established.
                  This is <i>not</i> the proxy <i>through</i> which
                  the tunnel was established, but the new end point
                  of the tunnel. The tunnel does <i>not</i> yet
                  reach to the target, use <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#tunnelTarget(boolean, org.apache.http.params.HttpParams)"><CODE>ManagedClientConnection.tunnelTarget(boolean, org.apache.http.params.HttpParams)</CODE></A>
                  to indicate an end-to-end tunnel.<DD><CODE>secure</CODE> - <code>true</code> if the connection should be
                  considered secure, <code>false</code> otherwise<DD><CODE>params</CODE> - the parameters for tunnelling this connection
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem</DL>
</DD>
</DL>
<HR>

<A NAME="layerProtocol(org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)"><!-- --></A><H3>
layerProtocol</H3>
<PRE>
public void <B>layerProtocol</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
                          <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)
                   throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#layerProtocol(org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)">ManagedClientConnection</A></CODE></B></DD>
<DD>Layers a new protocol on top of a <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#tunnelTarget(boolean, org.apache.http.params.HttpParams)"><CODE>tunnelled</CODE></A>
 connection. This is typically used to create a TLS/SSL connection
 through a proxy.
 The route is the one previously passed to <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#open(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext, org.apache.http.params.HttpParams)"><CODE>open</CODE></A>.
 It is not guaranteed that the layered connection is
 <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#isSecure()"><CODE>secure</CODE></A>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>context</CODE> - the context for layering on top of this connection<DD><CODE>params</CODE> - the parameters for layering on top of this connection
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem</DL>
</DD>
</DL>
<HR>

<A NAME="close()"><!-- --></A><H3>
close</H3>
<PRE>
public void <B>close</B>()
           throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="shutdown()"><!-- --></A><H3>
shutdown</H3>
<PRE>
public void <B>shutdown</B>()
              throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getState()"><!-- --></A><H3>
getState</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A> <B>getState</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#getState()">ManagedClientConnection</A></CODE></B></DD>
<DD>Returns the state object associated with this connection.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>The state object</DL>
</DD>
</DL>
<HR>

<A NAME="setState(java.lang.Object)"><!-- --></A><H3>
setState</H3>
<PRE>
public void <B>setState</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html#setState(java.lang.Object)">ManagedClientConnection</A></CODE></B></DD>
<DD>Assigns a state object to this connection. Connection managers may make
 use of the connection state when allocating persistent connections.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>state</CODE> - The state object</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractPooledConnAdapter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/conn/AbstractPooledConnAdapter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractPooledConnAdapter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
